<?php
/*
Plugin Name: db backup
Version: 2.0.1
Description: Backup your database (piwigo version)
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=240
Author: Repi38
Author URI: http://www.pierre-b.com
*/

/*
Changelog :

v1.0 : initial release

v1.1 : 	-bugs fix (thanks to P@t)
		-.htaccess protection for /backups/ folder
		-add checkbox to exclude or isolate history table, and to backup the whole db or just piwigo tables
		-add infos in the filename (according to precendent point)
		-moved down output field for readability

v1.2 : 	-Code cleaning (thanks to P@t)
		-bug fix with history (now, history means *history and *history_summary)
		-little corrections in filenames (and $page['infos'])
		-javascript to avoid "only history + whole database" -> no more possible with code simplification

v1.3 :	-admin tpl fix

v2.0 :  -new name for 1.3 for piwigo

v2.0.a: -italian translation (thanks to rio)

v2.0.1 : -new feature : step by step backup


*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('DB_BACKUP_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');


function db_backup_menu($menu)
{
	array_push($menu,
		array(
			'NAME' => 'db backup',
			'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/db_backup_admin.php')
		)
	);
	return $menu;
}


add_event_handler('get_admin_plugin_menu_links', 'db_backup_menu' );


?>